<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

/*

| -------------------------------------------------------------------------

| COPYRIGHT NOTICE                                                     

| Copyright 2007 - 2015 JROX Technologies, Inc.  All Rights Reserved.   

| -------------------------------------------------------------------------    

| This script may be only used and modified in accordance to the license

| agreement attached (license.txt) except where expressly noted within      

| commented areas of the code body. This copyright notice and the  

| comments above and below must remain intact at all times.  By using this 

| code you agree to indemnify JROX Technologies, Inc, its corporate agents   

| and affiliates from any liability that might arise from its use.                                                        

|                                                                           

| Selling the code for this program without prior written consent is       

| expressly forbidden and in violation of Domestic and International 

| copyright laws.  

|	

| -------------------------------------------------------------------------

| FILENAME - license.php

| -------------------------------------------------------------------------     

| 

*/



class License extends Admin_Controller {



	function __construct()

	{

		parent::__construct();

		

		$this->load->model('settings_model');

		$this->load->model('license_model');

		

		$this->config->set_item('menu', 's');

	}

	

	// ------------------------------------------------------------------------

	

	function index()

	{

		redirect(admin_url() . 'license/view');

	}



	// ------------------------------------------------------------------------

	

	function view()

	{

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		

		$data['page_title'] = 'license_key';



        if ($this->_check_settings() == false)

		{

			if ($config = $this->settings_model->_get_settings('settings'))

			{



				$data['frm_license_settings'] = array();	

				

				foreach ($config as  $v)

				{

					$a = $v['settings_key'];

					$this->validation->$a = $v['settings_value'];

					

					switch ($v['settings_group'])

					{

						case '15':	

							array_push($data['frm_license_settings'], $v);

						break;	

					}	

				}



                $this->validation->base_domain_name = $this->config->item('base_license_domain_name');

                $this->validation->base_subdomain_name = $this->config->item('base_subdomain_name');

			}



            if (!empty($_POST))

            {

                //echo ajax message

                echo '<div class="alert alert-danger animated shake capitalize hover-msg">' . $this->validation->error_string . '</div>';

            }

            else

            {

			    //load template

			    load_admin_tpl('admin', 'tpl_adm_site_license', $data);

            }

		}

		else

		{

			echo '<div class="alert alert-success animated bounce capitalize alert-msg hover-msg"> <h5>

			<button type="button" class="close" data-dismiss="alert">×</button> <i class="fa fa-check"></i>

			' . $this->lang->line('system_updated_successfully') . '</h5></div>';

		}	

	}



    // ------------------------------------------------------------------------



    function debug_license()

    {

        $data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);



        $check_lic = $this->license_model->_check_license($this->config->item('sts_site_key'));



        _pr($check_lic);

    }



    // ------------------------------------------------------------------------



    function reset_license()

    {

        $data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);



        $array = array( 'sts_site_key' => '',

            'sts_local_key' => '',

            'sts_mx_key' => '',

            'sts_local_mx_key' => ''

        );



        $this->db_validation_model->_update_db_settings($array);



        redirect(admin_url() . 'license/view');

    }



	// ------------------------------------------------------------------------

	

	function _check_settings()

	{

        $rules['sts_site_key'] = 'trim|callback__check_license';

		$rules['sts_mx_key'] = 'trim|callback__check_mx_license';

        //$rules['base_domain_name'] = 'trim|required|callback__check_base_domain_name';



		$this->validation->set_rules($rules);

		

		$fields['sts_site_key'] = $this->lang->line('sts_site_key');

		$fields['sts_mx_key'] = $this->lang->line('sts_site_key');

        //$fields['base_domain_name'] = $this->lang->line('base_domain_name');

		

		$this->validation->set_fields($fields);

			

		if ($this->validation->run() == FALSE)	

		{

			return false;

		}

		

		return true;

	}



    // ------------------------------------------------------------------------



    function _check_base_domain_name($domain)

    {

        if ($domain != $this->config->item('base_license_domain_name'))

        {

            $this->write_data($domain, $this->input->post('base_subdomain_name'));

        }

        elseif ($this->input->post('base_subdomain_name') != $this->config->item('base_subdomain_name'))

        {

            $this->write_data($domain, $this->input->post('base_subdomain_name'));

        }

    }



    function write_data($domain = '', $subdomain ='')

    {

        $data = $this->config->config;



        if ($subdomain != $this->config->item('base_subdomain_name'))

        {

            $data['base_subdomain_name'] = $subdomain;

        }



        if (!empty($data['base_subdomain_name']))

        {

            $config_base_url = '\'http://\' . $config[\'base_subdomain_name\'] . \'.\' . $config[\'base_domain_name\'] . $config[\'base_folder_path\'];';

            $config_base_ssl_url = '\'https://\' . $config[\'base_subdomain_name\'] . \'.\' . $config[\'base_domain_name\'] . $config[\'base_folder_path\'];';

        }

        else

        {

            $config_base_url = '\'http://\' . $config[\'base_domain_name\'] . $config[\'base_folder_path\'];';

            $config_base_ssl_url = '\'https://\' . $config[\'base_domain_name\'] . $config[\'base_folder_path\'];';

        }



        $content = '<?php  if (!defined(\'BASEPATH\')) exit(\'No direct script access allowed\');



/*

|--------------------------------------------------------------------------

| Script Limits

|--------------------------------------------------------------------------

*/



$config[\'script_time_limit\'] = \'0\';



/*

|--------------------------------------------------------------------------

| Folder and License Path

|--------------------------------------------------------------------------

*/

$config[\'base_license_domain_name\'] = \'' . $domain . '\';

$config[\'base_physical_path\'] = \'' . $data['base_physical_path'] . '\';

$config[\'base_folder_path\'] = \'' . $data['base_folder_path'] . '\';

$config[\'base_domain_name\'] = \'' . $domain . '\';



$config[\'base_subdomain_name\'] = \'' . $data['base_subdomain_name'] . '\';



$config[\'base_mobile_subdomain\'] = \'m\';

$config[\'base_url\']	= ' .  $config_base_url. '

$config[\'base_SSL_url\'] = ' .  $config_base_ssl_url . '



$config[\'auto_check_current_version\'] = \'1\';



/*

|--------------------------------------------------------------------------

| Cookie Related Variables

|--------------------------------------------------------------------------

*/



$config[\'aff_cookie_name\']	= \'jamcom\';

$config[\'cookie_prefix\']	= \'\';

$config[\'cookie_domain\']	= \'.\' .  $config[\'base_domain_name\'];

$config[\'ssl_cookie_domain\']	= \'.\' . $config[\'base_domain_name\'];

$config[\'cookie_path\']		= \'/\';

$config[\'tracking_cookie_name\']	= \'jamtracker\';

$config[\'p3p_header\'] = \'P3P:CP="IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT"\';



/*

|--------------------------------------------------------------------------

| Facebook Connect Permissions

|--------------------------------------------------------------------------

*/



$config[\'facebook_permissions\'] = \'email,publish_stream\'; //email,publish_stream,create_event,rsvp_event,offline_access

$config[\'facebook_deny_url\'] = $config[\'base_url\'] . \'/login\';



/*

|--------------------------------------------------------------------------

| Pagination Links

|--------------------------------------------------------------------------

*/



$config[\'admin_pagination_links\'] = 2;

$config[\'member_pagination_links\'] = 4;



/*

|--------------------------------------------------------------------------

| Images Path and Settings

|--------------------------------------------------------------------------

*/

$config[\'images_admins_dir\'] = \'admins\';

$config[\'images_programs_dir\'] = \'programs\';

$config[\'images_members_dir\'] = \'members\';

$config[\'images_banners_dir\'] = \'banners\';

$config[\'images_maintain_ratio\'] = true;

$config[\'images_quality\'] = \'100%\';

$config[\'member_marketing_tool_ext\'] = \'png\';

$config[\'pragma_header_cache_control\'] = false;

$config[\'disable_db_autosorting\'] = false;



/*

|--------------------------------------------------------------------------

| URL Settings

|--------------------------------------------------------------------------

*/



$config[\'jrox_url_separator\'] = \'dash\'; //dash or underscore only

$config[\'tracker_unique_referrals_only\'] = false;

$config[\'jrox_custom_affiliate_url\'] = \'\'; //set {USERNAME} for the affiliate URL: http://www.domain.com/{USERNAME}



/*

|--------------------------------------------------------------------------

| Admin Settings

|--------------------------------------------------------------------------

*/



$config[\'admin_login_username_field\'] = \''  . $data['admin_login_username_field'] . '\';

$config[\'admin_login_password_field\'] = \''  . $data['admin_login_password_field'] . '\';



/*

|--------------------------------------------------------------------------

| Member Settings

|--------------------------------------------------------------------------

*/



$config[\'member_min_username_length\'] = \'6\';

$config[\'members_password_function\'] = \'sha1\'; //md5, sha1, or mcrypt

$config[\'member_mass_email_throttle\'] = \'0\';

$config[\'member_url_logout_redirect\'] = \'\';

$config[\'member_disable_registration_email\'] = false;

$config[\'member_list_append_unsubscribe\'] = true;

$config[\'member_enable_group_change_registration\'] = true;

$config[\'member_add_to_default_list_on_registration\'] = \'1\';

$config[\'member_admin_default_downline_view\'] = \'10\';



/*

|--------------------------------------------------------------------------

| Content Settings

|--------------------------------------------------------------------------

*/

$config[\'content_enable_javascript_code\'] = true;



/*

|--------------------------------------------------------------------------

| Links and Customization

|--------------------------------------------------------------------------

*/

$config[\'customizer_license_ordering_url\'] = \'http://jam.jrox.com/pricing/\'; //order button

$config[\'customizer_admin_area_help_url\'] = \'http://jam.jrox.com/kb/\'; //admin help button

$config[\'customizer_admin_area_forum_url\'] = \'http://community.jrox.com/\';

$config[\'customizer_admin_area_docs_url\'] = \'http://jam.jrox.com/kb/\';

$config[\'customizer_admin_area_videos_url\'] = \'http://community.jrox.com/videos/jam\';

$config[\'customizer_admin_area_quick_start_url\'] = \'http://jam.jrox.com/kb/\';

$config[\'customizer_member_area_help_url\'] = \'http://jam.jrox.com/docs/member_docs/\'; //members help button



/*

|--------------------------------------------------------------------------

| Index File

|--------------------------------------------------------------------------

*/

$config[\'index_page\'] = \'' . $data['index_page'] . '\';

$config[\'admin_index_page\'] = \'' . $data['admin_index_page'] . '\';



/*

|--------------------------------------------------------------------------

| URI PROTOCOL

|--------------------------------------------------------------------------

| \'AUTO\'			Default - auto detects

| \'PATH_INFO\'		Uses the PATH_INFO

| \'QUERY_STRING\'	Uses the QUERY_STRING

| \'REQUEST_URI\'		Uses the REQUEST_URI

| \'ORIG_PATH_INFO\'	Uses the ORIG_PATH_INFO

|

*/

$config[\'uri_protocol\']	= \'AUTO\';



/*

|--------------------------------------------------------------------------

| Default Language

|--------------------------------------------------------------------------

*/

$config[\'language\']	= \'english\';



/*

|--------------------------------------------------------------------------

| Default Character Set

|--------------------------------------------------------------------------

*/

$config[\'charset\'] = \'UTF-8\'; //ISO-8859-1 UTF-8



/*

|--------------------------------------------------------------------------

| Error Logging Threshold

|--------------------------------------------------------------------------

*/

$config[\'log_threshold\'] = \'0\';



/*

|--------------------------------------------------------------------------

| Error Logging Directory Path

|--------------------------------------------------------------------------

*/

$config[\'log_path\'] = \'\';



/*

|--------------------------------------------------------------------------

| Date Format for Logs

|--------------------------------------------------------------------------

*/

$config[\'log_date_format\'] = \'Y-m-d H:i:s\';



/*

|--------------------------------------------------------------------------

| Cache Directory Path

|--------------------------------------------------------------------------

*/

$config[\'cache_path\'] = \'\';



/*

|--------------------------------------------------------------------------

| Encryption Key

|--------------------------------------------------------------------------

*/



//CHANGING THIS WILL INVALIDATE CURRENT ENCRYPTED DATA!

$config[\'encryption_key\'] = \'' . $data['encryption_key'] . '\';



/*

|--------------------------------------------------------------------------

| Session Variables

|--------------------------------------------------------------------------

*/

$config[\'sess_cookie_name\']			= \'' . $data['sess_cookie_name'] . '\';

$config[\'sess_expiration\']			= 60 * 60 * 24 * 7;

$config[\'sess_expiration_pub\']		= 60 * 60 * 24 * 7;



$config[\'sess_encrypt_cookie\']		= FALSE;

$config[\'sess_use_database\']			= TRUE;

$config[\'sess_table_name\']			= \'sessions\';

$config[\'sess_match_ip\']				= TRUE;

$config[\'sess_match_useragent\']		= TRUE;

$config[\'sess_time_to_update\'] 		= 300;



/*

|--------------------------------------------------------------------------

| Output Compression

|--------------------------------------------------------------------------

*/

$config[\'compress_output\'] = FALSE;



/*

|--------------------------------------------------------------------------

| Host IP Lookup URL

|--------------------------------------------------------------------------

*/

$config[\'enable_geo_location_api\'] = false;

$config[\'geo_location_api_url\'] = \'http://ipinfo.io\';



/*

|--------------------------------------------------------------------------

| Master Time Reference

|--------------------------------------------------------------------------

*/

$config[\'time_reference\'] = \'gmt\';



//design_disable_dropdown_js



/*

|--------------------------------------------------------------------------

| Do Not Edit Anything Below.  It May Cause Your Site To Be Unstable

|--------------------------------------------------------------------------

*/

$config[\'subclass_prefix\'] = \'JROX_\';

$config[\'enable_hooks\'] = TRUE;

$config[\'permitted_uri_chars\'] = \'@+=\a-z 0-9~%.:_-\';

$config[\'enable_query_strings\'] = FALSE;

$config[\'directory_trigger\'] = \'d\';

$config[\'controller_trigger\'] = \'c\';

$config[\'function_trigger\'] = \'m\';

$config[\'rewrite_short_tags\'] = FALSE;

$config[\'global_xss_filtering\'] = FALSE;

$config[\'url_suffix\'] = \'\';

?>';





        //open the config.php file

        $handle = @fopen($data['base_physical_path'] . '/system/application/config/config.php', 'w+');

        if ($handle)

        {

            if (fwrite($handle, $content))

            {

                fclose($handle);

            }

            else

            {

                $show_errors = "Could not write to " . APPPATH . "includes/config.php.\n";

                $show_errors .= "Please check the file permissions.\n";

                echo '<div class="alert alert-danger animated shake capitalize hover-msg">' . $show_errors . '</div>';

                exit();

            }

        }

        else

        {

            $show_errors = "Could not write to " . APPPATH . "includes/config.php.\n";

            $show_errors .= "Please check the file permissions.\n";

            echo '<div class="alert alert-danger animated shake capitalize hover-msg">' . $show_errors . '</div>';

                exit();

        }





    }



	// ------------------------------------------------------------------------	

	

	function _check_license($license)

	{

        $check_lic = $this->license_model->_check_license($license);



        if (!empty($check_lic['status']) && $check_lic['status'] == 'Active')

        {

            return true;

        }

        $this->validation->set_message('_check_license', $this->lang->line('invalid_license'));



        return false;

    }

	

	// ------------------------------------------------------------------------	

	

	function _check_mx_license($license)

	{

        $check_lic = $this->license_model->_check_license($license, 'mx');



        if (!empty($check_lic['status']) && $check_lic['status'] == 'Active')

        {

            if (!empty($check_lic['remotecheck']))

            {

                $keys = array(

                    'sts_local_mx_key' => $check_lic['localkey'],

                    'sts_mx_key'  =>  $license,

                );



                $this->db_validation_model->_update_db_settings($keys);

            }



            return true;

        }

        $this->validation->set_message('_check_license', $this->lang->line('invalid_license'));

        return false;

	}

}

?>