<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

/*

| -------------------------------------------------------------------------

| COPYRIGHT NOTICE                                                     

| Copyright 2007 - 2015 JROX Technologies, Inc.  All Rights Reserved.   

| -------------------------------------------------------------------------    

| This script may be only used and modified in accordance to the license      

   

| agreement attached (license.txt) except where expressly noted within      

| commented areas of the code body. This copyright notice and the  

| comments above and below must remain intact at all times.  By using this 

| code you agree to indemnify JROX Technologies, Inc, its corporate agents   

| and affiliates from any liability that might arise from its use.                                                        

|                                                                           

| Selling the code for this program without prior written consent is       

| expressly forbidden and in violation of Domestic and International 

| copyright laws.  

|	

| -------------------------------------------------------------------------

| FILENAME - settings.php

| -------------------------------------------------------------------------     

| 

*/



class Settings extends Admin_Controller {



	function __construct()

	{

		parent::__construct();

		

		$this->load->model('settings_model');

		

		$this->config->set_item('menu', 's');

	}

	

	// ------------------------------------------------------------------------

	

	function index()

	{

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		

		//set page title

		$data['page_title'] = 'global_configuration';



		//run validation check

		//get the details from the db	

		

		if (empty($_POST))

		{

			//get default signup link

			if ($this->config->item('sts_site_showcase_multiple_programs') == 1)

			{				

				$link = $this->programs_model->_get_program_basic('program_id', '1', 'signup_link');

				$data['default_signup_link'] = $link['signup_link'];

			}

			

			//get the settings from db

			if ($config = $this->settings_model->_get_settings('settings'))

			{

				//sort the settings and put into arrays

				$s_array = array('frm_site_settings','frm_sale_security_settings','frm_admin_settings',

								 'frm_affiliate_settings','frm_content_settings','frm_image_settings',

								 'frm_email_settings','frm_security_settings','frm_members_settings',

								 'frm_system_settings','frm_aff_marketing_settings','frm_video_settings',

								 'frm_facebook_connect_settings','frm_aff_member_settings','frm_members_settings',

								 'frm_tracking_settings','frm_click_security_settings',

								 'frm_auto_signup_settings','frm_db_backup_settings','frm_performance_settings',

								 'frm_network_marketing_settings', 'frm_downloads_settings');

				

				foreach ($s_array as $s)

				{

					$data[$s] = array();	

				}

				

				foreach ($config as  $v)

				{

					$u = $v['settings_key'];

					$this->validation->$u = $v['settings_value'];

					

					switch ($v['settings_group'])

					{

						case '1': //admin settings

							if ($this->config->item('sts_site_showcase_multiple_programs') == '0')

							{

									$check = array('sts_site_default_theme',

											  'sts_site_enable_custom_login', 'sts_site_url_redirect_login',

											  'sts_site_enable_custom_signup', 'sts_site_url_redirect_signup'

											  );

									

									if (in_array($v['settings_key'], $check))

									{

										continue;

									}

							}

						

							array_push($data['frm_site_settings'], $v);

						break;

							

						case '2': //affiliate settings

							array_push($data['frm_affiliate_settings'], $v);

						break;



						case '4': //content settings

							array_push($data['frm_content_settings'], $v);

						break;

						

						case '5': //email settings

							array_push($data['frm_email_settings'], $v);

						break;

						

						case '6': //security settings

							array_push($data['frm_security_settings'], $v);

						break;

					

						case '8': //store settings

							array_push($data['frm_admin_settings'], $v);

						break;

						 

						case '10': //image settings

							array_push($data['frm_image_settings'], $v);

						break;

						

						case '11': //system settings

							array_push($data['frm_system_settings'], $v);

						break;

						

						case '13': //marketing tool settings

							array_push($data['frm_aff_marketing_settings'], $v);

						break;

						

						case '14': //performance bonus settings

							array_push($data['frm_performance_settings'], $v);

						break;

						

						case '16': //frm_aff_member_settings

							array_push($data['frm_aff_member_settings'], $v);

						break;

						

						case '18':

							array_push($data['frm_video_settings'], $v);

						break;		

						

						case '19':

							array_push($data['frm_members_settings'], $v);

						break;

						

						case '20':

							array_push($data['frm_tracking_settings'], $v);

						break;

						

						case '21':

							array_push($data['frm_click_security_settings'], $v);

						break;

						

						case '22':

							array_push($data['frm_sale_security_settings'], $v);

						break;

						

						case '23':

							array_push($data['frm_facebook_connect_settings'], $v);

						break;

						

						case '24':

							array_push($data['frm_auto_signup_settings'], $v);

						break;

						

						case '25':

							array_push($data['frm_db_backup_settings'], $v);

						break;

						

						case '26':

							array_push($data['frm_network_marketing_settings'], $v);

						break;

						

						case '27':

							array_push($data['frm_downloads_settings'], $v);

						break;

					}

				}



			}

			

			//check for backup files

			$this->load->model('backup_model');

			

			$data['backups'] = $this->backup_model->_get_backups();

			$data['database_name'] = $this->db->database;

			

			//load template

			load_admin_tpl('admin', 'tpl_adm_site_config', $data);

		}

		elseif ($this->_check_settings() == false)

		{

			//echo ajax message

			echo '<div class="alert alert-danger animated shake capitalize hover-msg">' . $this->validation->error_string . '</div>';

		}

		else

		{

			//update the admin

			$id = $this->settings_model->_update_settings();

			

			//check for SSL redirect

			if ($this->input->post('sts_site_ssl_admin_area') == 1)

			{

				$url = $this->config->slash_item('base_SSL_url');

			}

			else

			{

				if (!empty($data['base_subdomain_name']))

				{

					

					$url = 'http://' . $data['base_subdomain_name'] . '.' . $this->config->item('base_domain_name') . $this->config->slash_item('base_folder_path')  . $this->config->slash_item('admin_index_page');

				}

				else

				{

					$url = 'http://' . $this->config->item('base_domain_name')  . $this->config->slash_item('base_folder_path')  . $this->config->slash_item('admin_index_page');

				}

			}

			

			echo '<div class="alert alert-success animated bounce capitalize alert-msg hover-msg"> <h5><button type="button" class="close" data-dismiss="alert">×</button> <i class="fa fa-check"></i> ' . $this->lang->line('system_updated_successfully') . '</h5></div>';

		}	

	}	

	

	// ------------------------------------------------------------------------

	

	function upload_theme()

	{

		/*

		| -----------------------------------------

		| add a new theme

		| -----------------------------------------

		*/

		

		//set data array

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);



		//set page title

		$data['page_title'] = $this->lang->line('install_theme');

		$data['submit_url'] = admin_url().'settings/upload_theme/';

		

		if (!empty($_POST))

		{

			if (!empty($_FILES) && $_FILES['zip_file']['error'] != 4)

			{

				//upload the photo

				$sconfig['upload_path'] = PUBPATH . '/import/';

				$sconfig['allowed_types'] = 'zip';

				$sconfig['max_size']	= $this->config->item('sts_support_max_upload_size');

				$sconfig['encrypt_name'] = false;

				$sconfig['remove_spaces'] = true;

				

				$this->load->model('uploads_model');

				

				$sdata = $this->uploads_model->_upload_file('zip_file', $sconfig);

				

				if ($sdata['success'])

				{

					//unzip the file

					$zip = new ZipArchive;

					$file = $sdata['info']['full_path'];

					@chmod($file,0777);

					if ($zip->open($file) === TRUE) 

					{

						$zip->extractTo(PUBPATH . '/themes/main/');

						$zip->close();

							

					} 

					else 

					{

						show_error($this->lang->line('cannot_unzip_file'));

						exit();

					}

					

					//try and delete the zip file

					@unlink($file);

					

					$this->session->set_flashdata('success', $this->lang->line('theme_uploaded_successfully'));

			

					redirect(admin_url() . 'settings/upload_theme');

				}

			}

		}

		

		//load template

		load_admin_tpl('admin', 'tpl_adm_upload_theme', $data);	

	}

	

	// ------------------------------------------------------------------------

	

	function view_phpinfo()

	{

		//set data array

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		

		phpinfo();

	}



    // ------------------------------------------------------------------------



    function set_debug()

    {

        //set data array

        $data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);



        $path = APPPATH . 'config/debug.php';



        if (file_exists($path))

        {

            $debug  = $this->uri->segment(4) == 'development' ? 'production' : 'development';



            $content = '<?php

define(\'ENVIRONMENT\', \'' . $debug . '\');

?>';



            $handle = @fopen($path, 'w+');

            if ($handle)

            {

                if (fwrite($handle, $content))

                {

                    fclose($handle);

                }

                else

                {

                    show_error("Could not write to " . $path);

                }

            }

        }



        redirect(admin_url() . 'settings#system');

    }

	// ------------------------------------------------------------------------

	/*

	function download_backup()

	{

		

		//set data array

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		

		$this->load->helper('download');

		$this->load->helper('file');

		

		if ($this->uri->segment(4))

		{

			$name = $this->uri->segment(4);

			

			$path = $this->config->item('sts_backup_path') . $name;

			

			$data = read_file($path); // Read the file's contents		

			

			if (!force_download($data, $data))

			{

				show_error($this->lang->line('no_theme_found'));

			}

		}

	}

	*/

	

	// ------------------------------------------------------------------------

	

	function run_db_updates()

	{

		//run updates

		

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		

		//load update model

		$this->load->model('update_model');

		

		$data = $this->update_model->_run_updates();

					

		if (!empty($data['success']) && !empty($data['files']))

		{					

			echo '<div class="success"><strong>' . $data['files'] . '</strong>';

			

			if (!empty($data['delete_warning']))

			{

				echo '<br />' . $this->lang->line('delete_update_files');

			}

			

			echo '</div>';	

			exit();

		}	

				

	}

	

	// ------------------------------------------------------------------------

	

	function check_updates()

	{

		//run updates

		

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		

		//load update model

		$this->load->model('update_model');



		//first check for new version

		$current_version = connect_curl(JROX_CHECK_VERSION_WEBSITE);

		

		if (!empty($current_version))

		{

			if ($current_version > APP_VERSION) 

			{

				$filename = 'jam-updates-' . $current_version . '.zip';

				$url =  'http://www.jrox.com/_mdownloads/jam/' . $filename; 

				$new_update = true;

				

				//get updates if available

				if (is_writable(PUBPATH . '/import/'))

				{

					

					$path = PUBPATH . '/import/' . $filename;

					

					if (!file_exists($path))

					{

						$update_file = connect_curl($url, false, '', 1, 30, false, $path);

					}

					 

					if (file_exists($path) && (extension_loaded('zip')))

					{

						//unzip the file

						$zip = new ZipArchive;



						@chmod($path,0777);

						if ($zip->open($path) === TRUE) 

						{

							$zip->extractTo(PUBPATH);

							$zip->close();

							@unlink($path);

							

							echo '<div class="success"><strong>' . $this->lang->line('files_extracted_successfully') . '</strong></div>';

						} 

						else 

						{

							echo '<div class="error"><a href="' . JROX_CHECK_UPDATES_WEBSITE . '/' . $filename . '">ERROR CODE: Z03: ' . $this->lang->line('new_update_found_needs_download') . '</a></div>';

							exit();

						}

					}

					else 

					{

						echo '<div class="error"><a href="' . JROX_CHECK_UPDATES_WEBSITE . '/' . $filename . '">ERROR CODE: Z02: ' . $this->lang->line('new_update_found_needs_download') . '</a></div>';

						exit();

					}

				}

				else 

				{

					echo '<div class="error"><a href="' . JROX_CHECK_UPDATES_WEBSITE . '/' . $filename . '">ERROR CODE: Z01: ' . $this->lang->line('new_update_found_needs_download') . '</a></div>';

					exit();

				}		

			}

		}

		 

		$data = $this->update_model->_run_updates();

					

		if (!empty($data['success']) && !empty($data['files']))

		{					

			echo '<div class="success"><strong>' . $data['files'] . '</strong>';

			

			if (!empty($data['delete_warning']))

			{

				echo '<br />' . $this->lang->line('delete_update_files');

			}

			

			echo '</div>';	

			exit();

		}	

				

		if (empty($new_update))

		{

			echo '<div class="error">' . $this->lang->line('no_updates_found') . '</div>';

		}

	}

	

	// ------------------------------------------------------------------------

	

	function run_updates()

	{

		//show the backup db page first

		

		//set data array

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		$data['page_title'] = $this->lang->line('run_updates');

		

		//load template

		load_admin_tpl('admin', 'tpl_adm_run_updates', $data);

	}

	

	// ------------------------------------------------------------------------

	

	function backup_db()

	{

		//show the backup db page first

		

		//set data array

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		$data['page_title'] = $this->lang->line('backup_db');

		$data['type'] = 'run_backup';

		$data['text'] = 'please_wait_while_backing_up_data';

		

		//load template

		load_admin_tpl('admin', 'tpl_adm_backup_db', $data);

	}

	

	// ------------------------------------------------------------------------

	

	function restore_db()

	{

		//show the backup db page first

		

		//set data array

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__); 

		$data['page_title'] = $this->lang->line('restore_db');

		$data['type'] = 'run_restore/' . $this->uri->segment(4);

		$data['text'] = 'please_wait_while_we_restore_data';

		

		//load template

		load_admin_tpl('admin', 'tpl_adm_backup_db', $data);

	}



    // ------------------------------------------------------------------------



    function disable_getting_started()

    {

        //run backup



        $data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);



       $this->db_validation_model->_update_db_settings(array('sts_admin_show_dashboard_video' => '0'));



        redirect(admin_url());

    }



    // ------------------------------------------------------------------------

	

	function run_restore()

	{	

		//run backup

		

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		

		//load backup model

		$this->load->model('backup_model');

		

		$data = $this->backup_model->_restore_db($this->uri->segment(4));

		

		if (!empty($data))

		{			

			echo '<div class="success"><strong>' . $data . '</strong> ' . $this->lang->line('db_restored_successfully') . '</div>';

		}

		else

		{

			echo '<div class="error"><strong>' . $data . '</strong> ' . $this->lang->line('could_not_restore_db') . '</div>';

		}

	}

	

	// ------------------------------------------------------------------------

	

	function run_backup()

	{	

		//run backup

		

		$data = $this->security_model->_load_config('admin', __CLASS__,  __FUNCTION__);

		

		//load backup model

		$this->load->model('backup_model');

		

		$data = $this->backup_model->_backup_db();

		

		if (empty($data['error']))

		{			

			echo '<div class="success"><strong>' . $data['msg'] . '</strong> ' . $this->lang->line('db_backed_up_successfully') . '</div>';

		}

		else

		{

			echo '<div class="error"><strong>' . $data['msg'] . '</strong></div>';

		}

	}

	

	

	// ------------------------------------------------------------------------

	

	/*

	| -------------------------------------------------------------------------

	| supporting functions - these are used to support the main functions above

	| -------------------------------------------------------------------------

	*/

	

	// ------------------------------------------------------------------------

	

	function _check_settings()

	{

		$data = $this->db_validation_model->_clean_data($_POST);

		

		$rules['website'] = 'trim|prep_url|max_length[255]';

		$rules['bank_transfer'] = 'trim';	

		foreach ($data as $k => $v)

		{

			switch($k)

			{

				//custom callbacks needed

				case 'sts_admin_default_language': //english

				case 'sts_admin_date_format': //mm/dd/yyyy

				case 'sts_admin_time_format': //m-d-Y h:i:s A

				case 'sts_affiliate_program_type': //pay-per-sale, pay-per-lead, pay-per-click

				case 'sts_affiliate_total_sale_commissions': //total_sale, per_product

				case 'sts_affiliate_link_type': //regular, subdomain, replicated_site 

				case 'sts_affiliate_new_commission': //pending, unpaid, paid

				case 'sts_affiliate_banner_directory': // /home/username/banners



				case 'sts_image_library': //GD, GD2, ImageMagick, NetPBM

				case 'sts_email_mailer_type': //php, smtp

				case 'sts_support_upload_download_types': // zip|rar|doc



				

				break;



				

				case 'sts_site_name':

				case 'sts_site_description':	

					

					$rules[$k] = 'trim|required|max_length[255]';

				

				break;

				

				

				case 'sts_auto_login_key':

				case 'sts_auto_login_secret':

					

					$rules[$k] = 'trim|required|min_length[20]|max_length[255]|alpha_numeric';			

					

				break;



				case 'sts_affiliate_matrix_width':

				case 'sts_affiliate_auto_approve_commissions':



				case 'sts_admin_image_height':

				case 'sts_admin_image_width':

				case 'sts_affiliate_image_height':

				case 'sts_affiliate_image_width':

				case 'sts_site_image_height':

				case 'sts_site_image_width':

				case 'sts_email_smtp_port':

				case 'sts_email_smtp_timeout':

				case 'sts_email_limit_mass_mailing':

				case 'sts_support_tickets_per_page':

				case 'sts_support_auto_close_interval':

				case 'sts_support_max_upload_size':

                case 'sts_site_cache_minutes':

                case 'sts_backup_schedule_interval':

				case 'sts_site_enable_downline_cache_minutes':

				case 'sts_image_flash_rotator_width':

				case 'sts_image_flash_rotator_height':

				case 'sts_video_player_height':

				case 'sts_video_player_width':

				case 'sts_site_set_curl_timeout':



				case 'sts_affiliate_cookie_timer':

				case 'sts_content_rss_per_page':

				case 'sts_faq_articles_per_page':

				case 'sts_products_per_page':

				case 'sts_sec_auto_ip_block_interval':

				case 'sts_sec_site_form_flood_control_interval':

				case 'sts_email_auto_prune_archive':

				case 'sts_content_members_dashboard_num_articles':

				case 'sts_invoice_auto_generate_invoice_day':

				case 'sts_content_members_enable_latest_programs':

				case 'sts_content_members_dashboard_num_articles':

				

					$rules[$k] = 'trim|required|integer';

					

				break;

				

				case 'sts_image_max_photo_size':

				case 'sts_affiliate_tools_per_page':

				case 'sts_content_categories_per_page':

				case 'sts_affiliate_min_payment':

				case 'sts_site_categories_per_page':

				case 'sts_site_products_per_page':

				case 'sts_affiliate_categories_per_page':			

				

					$rules[$k] = 'trim|required|numeric|callback__check_amount';

				

				break;

				

				case 'sts_affiliate_enable_signup_bonus_amount':

				

					if ($this->input->post('sts_affiliate_enable_signup_bonus') == 1)

					{

						$rules[$k] = 'trim|required|numeric';

					}

				

				break;

				

				case 'sts_affiliate_enable_referral_signup_bonus_amount':

				

					if ($this->input->post('sts_affiliate_enable_referral_signup_bonus') == 1)

					{

						$rules[$k] = 'trim|required|numeric';

					}

				

				break;

				

				case 'sts_affiliate_refer_friend_header':

				case 'sts_affiliate_refer_friend_footer':

				

					$rules[$k] = 'trim|xss_clean';

				

				break;

				

				case 'sts_support_url_redirect':

				case 'sts_video_player_logo':

				case 'sts_content_members_docs_link':

				case 'sts_content_members_video_tutorials':

				

					$rules[$k] = 'trim|prep_url';

				

				break;



				case 'sts_admin_enable_wysiwyg_content':

				case 'sts_admin_enable_hostip_lookup':

				case 'sts_affiliate_enable_affiliate_marketing':

				case 'sts_affiliate_enable_forced_matrix':

				case 'sts_affiliate_require_referral_code':



				case 'sts_affiliate_enable_trackers':

				case 'sts_affiliate_enable_replication':

				case 'sts_affiliate_enable_profiles':

				case 'sts_affiliate_refer_friend_enable':

				case 'sts_affiliate_alert_downline_signup':

				case 'sts_affiliate_alert_new_commission':

				case 'sts_affiliate_alert_payment_sent':

				case 'sts_affiliate_allow_downline_email':

				case 'sts_affiliate_allow_downline_view':

				case 'sts_affiliate_allow_upload_photos':

				case 'sts_affiliate_enable_hostip_lookup':

				case 'sts_affiliate_enable_wysiwyg_content':

				case 'sts_affiliate_enable_wysiwyg_email':

				case 'sts_affiliate_restrict_self_commission':

				case 'sts_affiliate_show_downline_details':

				case 'sts_affiliate_show_downline_photos':



				case 'sts_content_enable_comments':

				case 'sts_image_maintain_ratio':

				case 'sts_image_enable_thickbox':

				case 'sts_admin_image_resize':

				case 'sts_affiliate_image_auto_resize':

				case 'sts_site_image_auto_resize':

				case 'sts_email_use_smtp_authentication':

				case 'sts_email_send_queue':

				case 'sts_sec_enable_admin_restrict_ip':

				

                case 'sts_backup_enable':			

				case 'sts_video_player_autostart':

				case 'sts_video_player_allow_fullscreen':



				case 'sts_sec_enable_auto_ip_block':

				case 'sts_sec_site_enable_form_flood_control':

					

					$rules[$k] = 'trim|integer|required|callback__check_true_false';

					

				break;



				case 'sts_sec_recaptcha_public_key':

				case 'sts_sec_recaptcha_private_key':

				case 'sts_sec_recaptcha_theme':

					if ($this->input->post('sts_sec_enable_captcha') == 1)

					{

						$rules[$k] = 'trim|required';

					}

				

				break;



				

				case 'sts_sec_admin_restrict_ip':

					

					if ($data['sts_sec_enable_admin_restrict_ip'] == 1)

					{

						$rules[$k] = 'trim|required|callback__check_ip';

					}

					

				break;

				

				case 'sts_site_email':

				case 'sts_sec_admin_failed_login_email':

					

					$rules[$k] = 'trim|required|valid_email';



				break;

				

				case 'sts_site_facebook_page_code': 

					

					$rules[$k] = 'trim|base64_encode';

					

				break;

				

				case 'sts_affiliate_forced_matrix_affiliate_id':

				

					if ($this->input->post('sts_affiliate_forced_matrix_spillover') == 'specific')

					{

						$rules[$k] = 'trim|required|callback__check_valid_user';	

					}

				

				break;

				

				case 'sts_site_ssl_admin_area':

				

				$rules[$k] = 'trim|required|integer|callback__check_ssl_port';	

					

				

				break;

				

				default:

					

					$rules[$k] = 'trim';

						

				break;

			}

		}

		

		$this->validation->set_rules($rules);



		//repopulate form		

		foreach ($data as $k => $v)

		{

			$fields[$k] = $this->lang->line($k);

		}

		

		$this->validation->set_fields($fields);

			

		if ($this->validation->run() == FALSE)	

		{

			return false;

		}

		

		return true;

	}

	

	// ------------------------------------------------------------------------

	

	function _check_ssl_port()

	{

		

		if ($this->input->post('sts_site_ssl_admin_area') == 1)

		{			

			$SSL_Check = connect_curl($this->config->item('base_SSL_url'), false, '', '1', $this->config->item('sts_site_set_curl_timeout'));

			

			if (!$SSL_Check) 

			{ 

				//$this->validation->set_message('_check_ssl_port', $this->lang->line('ssl_not_enabled_on_host'));

				//return false;	

			} 

		}

		

		return true;

	}

	

	// ------------------------------------------------------------------------	

	

	function _check_valid_user()

	{

		if ($this->db_validation_model->_validate_field('members', 'member_id', $this->validation->sts_affiliate_forced_matrix_affiliate_id))

		{	

			return true;

		}

		

		$this->validation->set_message('_check_valid_user', $this->lang->line('invalid_sponsor'));

		return false;	

	}

	

	// ------------------------------------------------------------------------	

	

	function _check_ip($ip)

	{		

		$arg = explode(',', $ip);

		

		foreach ($arg as $a)

		{				

			if ($this->input->valid_ip(trim($a)) == false)

			{					

				$this->validation->set_message('_check_ip', $this->lang->line('required'));

				return false;	

			}

		}

	

		return true;

	}

	

	// ------------------------------------------------------------------------	

	

	function _check_amount($value)

	{

		if (!empty($value))

		{

			return true;

		}

		

		$this->validation->set_message('_check_amount', $this->lang->line('required'));

		return false;	

	}

	

	// ------------------------------------------------------------------------	

	

	function _check_true_false($value)

	{

		if ($value == 0 || $value == 1)

		{

			return true;

		}

		else

		{

			$this->validation->set_message('_check_true_false', $this->lang->line('changing_fields_only_zero_one'). ': ' . $value);

			return false;

		}

	}

	

	

	// ------------------------------------------------------------------------	

}

?>